package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 渠道账户交易类型
 *
 */
public enum ChannelMoneyBizTypeEnum implements IEnum<Integer> {

  COMMISSION(1, "佣金收入"),
  WITHDRAW(2, "提现");


  private final int value;
  private final String desc;

  ChannelMoneyBizTypeEnum(final int value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
